### Method

# AppStream Metadata parse_releases_file

since: 0.16.0

#### Declaration [src]

    gboolean
    as_metadata_parse_releases_file (
      AsMetadata* metad,
      GFile* file,
      GError** error
    )

#### Description [src]

Parses any AppStream release metadata into `AsRelease` objects using the provided file. You can retrieve the last parsed `AsReleaseList` using %as_metadata_get_release_list.

Available since: 0.16.0

#### Parameters

`file`

  Type: `GFile`

  `GFile` for the release metadata.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.